Subject: [Netconf] Text clarification for 4741bis WAS:RE: WGLC: draft-ietf-netconf-with-defaults-02

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 6 Aug 2009 22:31:42 +0200

> From: ext Juergen Schoenwaelder Thursday, August 06, 2009 9:15 PM
> 
> On Thu, Aug 06, 2009 at 05:55:26PM +0200, Ersue, Mehmet (NSN 
> - DE/Munich) wrote:
>  
> > Ch. 1.  Introduction
> > - Last paragraph:
> > I agree their is no explicite statement on default/non-default
> > handling in RFC 4741.
> > OTOH RFC 4741 says that in case a filter element is not
> > defined the "entire configuration" is returned for a
> > <get-config> operation.
> > As a native reader of the standard I interprete this as
> > the default behaviour of NETCONF protocol, where both,
> > default and non-default data, are returned.
> 
> That is _your_ interpretation of what config data is, but there are
> other possible interpretations where default values are not part of
> the config. In most Unix config files, you do not set the defaults
> since they are implicitely there.
> 
> > But the With-default draft assumes the opposite, i.e. the
> > default behaviour of the NETCONF protocol is to suppress
> > the default data in <rpc-reply> message.
> 
> I think it says implementation behaviour is not defined in RFC 4741
> and this is why the with-defaults document exists.
> 
> > I think we need to align the two documents by choosing
> > one of the options:
> > a) add a clear statement to 4741bis saying that
> > "the agent MAY suppress the default data" or
> > b) address the assumption of a native 4741 reader
> > in With-defaults draft I mentioned above.
> 
> I assume a) is what we have to in 4741bis.

Agree, we should add a clear statement to 4741bis for this.

Cheers,
Mehmet